intents:
  - greet
  - goodbye
  - birthplace
  - day_of_death
  - place_of_death
  - is_alive
  - num_spouses
  - primary_education
  - university
  - area_of_research
  - workplace
  - awards

actions:
  - utter_greet
  - utter_goodbye
  - action_search_birthplace
  - action_utter_birthplace
  - action_search_day_of_death
  - action_utter_day_of_death
  - action_search_place_of_death
  - action_utter_place_of_death
  - action_search_is_alive
  - action_utter_is_alive
  - action_search_num_spouses
  - action_utter_num_spouses
  - action_search_primary_education
  - action_utter_primary_education
  - action_search_university
  - action_utter_university
  - action_search_area_of_research
  - action_utter_area_of_research
  - action_search_workplace
  - action_utter_workplace
  - action_search_awards
  - action_utter_awards

entities:
- physicist

slots:
  physicist:
    type: text
  birthplace:
    type: unfeaturized
  day_of_death:
    type: unfeaturized
  place_of_death:
    type: unfeaturized
  is_alive:
    type: unfeaturized
  num_spouses:
    type: unfeaturized
  primary_education:
    type: unfeaturized
  university:
    type: unfeaturized
  area_of_research:
    type: unfeaturized
  workplace:
    type: unfeaturized
  awards:
    type: unfeaturized

templates:
  utter_greet:
  - text: "Hi, enter Physicist to gather birthplace information."

  utter_goodbye:
  - text: "Bye"
